This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 57305 - 2.4.16-7 kernel-source rpm fails to build
2.4.16-7 kernel-source rpm fails to build
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-09 15:37 EST by Hal Burgiss
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-10 09:55:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hal Burgiss 2001-12-09 15:37:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.13-hb i686; Nav)

Description of problem:
Make bzImage fails with:
/usr/src/linux/include/linux/mm.h:360: previous declaration of
`__alloc_pages' on 2.4.16-0.7 (and several previous patch levels).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install rpm
2. build kernel:
3.make mrproper oldconfig config dep clean bzImage modules
	

Actual Results:  Build fails with:

gcc -D__KERNEL__ -I/usr/src/linux/include -Wall -Wstrict-prototypes
-Wno-trigraphs -O2 -fomit-frame-pointer -fno-strict-aliasing -fno-common
-Wno-unused -pipe -mpreferred-stack-boundary=2 -march=i686    -c -o
page_alloc.o page_alloc.c
page_alloc.c:509: conflicting types for `__alloc_pages'
/usr/src/linux/include/linux/mm.h:360: previous declaration of
`__alloc_pages'
make[2]: *** [page_alloc.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[2]: *** Waiting for unfinished jobs....
make[2]: Leaving directory `/usr/src/linux/mm'
make[1]: *** [first_rule] Error 2
make[1]: Leaving directory `/usr/src/linux/mm'
make: *** [_dir_mm] Error 2


Expected Results:  Working kernel :)

Additional info:

The system is 686 + SMP + ide. The config is a custom config which is
mostly a RH config with various components disabled (scsi, joystick, irda,
etc).  

[root@feenix src]# rpm -q kernel-source
kernel-source-2.4.16-0.7
Comment 1 Arjan van de Ven 2001-12-10 03:26:48 EST
Did you by chance turn on CONFIG_MXT in the config ? MXT is currently
non-compiling (IBM is fixing)
Comment 2 Hal Burgiss 2001-12-10 09:55:30 EST
Yes, bingo! That was it. Thanks.
Comment 3 Arjan van de Ven 2001-12-13 04:02:09 EST
I've disabled the MXT patch completely for now until it gets into a working
state again; "fixed in rawhide"

Note You need to log in before you can comment on or make changes to this bug.